using System.Collections;
using System.Collections.Generic;
using UnityEditor.PackageManager;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.UIElements;
using System.IO;
using LitJson;
public class StartGame : MonoBehaviour
{
    public ScrollView scrollView;
    public GameObject content;
    public GameObject textObj;
   
    public List<EventData> eventDatas = new List<EventData>();
    public List<AgeData> ageDatas = new List<AgeData>();

    public int currentIndex = 0;
    void Start()
    {
        string agePath = "Assets/Data/myAge.json"; 
        string eventPath = "Assets/Data/myEvents.json";

        if(File.Exists(agePath))
        {
            string dataAsJson = File.ReadAllText(agePath);
            ageListData ageListData = JsonMapper.ToObject<ageListData>(dataAsJson);

            foreach (var item in ageListData.age)
            {
                ageDatas.Add(item);
            }

        }
        if(File.Exists(eventPath))
        {
            string dataAsJson = File.ReadAllText(eventPath);
            EventListData eventListData = JsonMapper.ToObject<EventListData>(dataAsJson);
            foreach (var item in eventListData.events)
            {
                eventDatas.Add(item);
            }
        }
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.Space))
        {
            GameObject obj = Instantiate(textObj);
            obj.transform.SetParent(content.transform);
            Debug.Log(ageDatas.Count);
            //obj.transform.GetChild(0).GetComponent<Text>().text = ageDatas[currentIndex].age + " :"; //+ Random.Range(0, ageDatas[currentIndex].events.Count);
         //   string txt = eventDatas[Random.Range(0, ageDatas[currentIndex].events.Count)].id
        }
    }
}
